clear
clc;
addpath ./tool
load .\DATA\Figure3-sourcedata

%color
a1=[0 0 0];
a2=[1 0 0];
a3=[255 180 0]./255;
a4=[0.1 0.6 1];

yanse{1}=a1;
yanse{2}=a2;
yanse{3}=a3;
yanse{4}=a4;
xyan=[1 2 3 4 1 2 3 4 1 2];

for index=1:10
   er2(index)= std(data2(index,:))/sqrt(size(data2,2));
end

for index=1:10
   er4(index)= std(data4(index,:))/sqrt(size(data4,2));
end

xl=1.5:1.5:6
xl2=[8 9.5]
figure(7);
subplot(2,2,1)
plot(-1:12,zeros(14),'Color',[ .23 .23 .23],'LineWidth',2);
for ind=[1:4 9:10]
    hold on
    if ind ==9 || ind==10
ba=bar(xl2(ind-8),mean(data2(ind,:),2),0.5,'FaceColor',[1 1 1],'EdgeColor',yanse{xyan(ind)},'LineWidth',1.5); 
errorbar(xl2(ind-8),mean(data2(ind,:),2),er2(ind),'.','Color',[ .23 .23 .23],'LineWidth',1.2)
    else
ba=bar(xl(ind),mean(data2(ind,:),2),0.5,'FaceColor',[1 1 1],'EdgeColor',yanse{xyan(ind)},'LineWidth',1.5); 
errorbar(xl(ind),mean(data2(ind,:),2),er2(ind),'.','Color',[ .23 .23 .23],'LineWidth',1.2)
    end
end
set(gca,'Ytick',[-0.025 0:0.1:0.3]);xlim([0 11]);ylim([-0.025 0.3]);set(gca,'xtick',[],'xcolor','w');set(gca,'LineWidth',2);box off;

figure(7);
subplot(2,2,2)
plot(-1:12,zeros(14),'Color',[ .23 .23 .23],'LineWidth',2);
for ind=[5:8]
hold on
ba=bar(xl(ind-4),mean(data2(ind,:),2),0.5,'FaceColor',yanse{xyan(ind)},'EdgeColor',yanse{xyan(ind)},'LineWidth',1.5);
errorbar(xl(ind-4),mean(data2(ind,:),2),er2(ind),'.','Color',[ .23 .23 .23],'LineWidth',1.2)
end
set(gca,'Ytick',[-0.025 0:0.1:0.3]);xlim([0 11]);ylim([-0.025 0.3]);set(gca,'xtick',[],'xcolor','w');set(gca,'LineWidth',2);box off;

figure(7);
subplot(2,2,3)
plot(-1:12,zeros(14),'Color',[ .23 .23 .23],'LineWidth',2);
for ind=[1:4 9:10]
hold on
if ind ==9 || ind==10
ba=bar(xl2(ind-8),mean(data4(ind,:),2),0.5,'FaceColor',[1 1 1],'EdgeColor',yanse{xyan(ind)},'LineWidth',1.5);
errorbar(xl2(ind-8),mean(data4(ind,:),2),er2(ind),'.','Color',[ .23 .23 .23],'LineWidth',1.2)
else
ba=bar(xl(ind),mean(data4(ind,:),2),0.5,'FaceColor',[1 1 1],'EdgeColor',yanse{xyan(ind)},'LineWidth',1.5);
errorbar(xl(ind),mean(data4(ind,:),2),er2(ind),'.','Color',[ .23 .23 .23],'LineWidth',1.2)
end
end
set(gca,'Ytick',[0:0.2:0.6]);xlim([0 11]);ylim([-0 0.6]);set(gca,'xtick',[],'xcolor','w');set(gca,'LineWidth',2);box off;

figure(7);
subplot(2,2,4)
plot(-1:12,zeros(14),'Color',[ .23 .23 .23],'LineWidth',2);
for ind=[5:8]
    hold on
ba=bar(xl(ind-4),mean(data4(ind,:),2),0.5,'FaceColor',yanse{xyan(ind)},'EdgeColor',yanse{xyan(ind)},'LineWidth',1.5);
errorbar(xl(ind-4),mean(data4(ind,:),2),-er2(ind),'.','Color',[ .23 .23 .23],'LineWidth',1.2)
end
set(gca,'Ytick',[0:0.2:0.6]);xlim([0 11]);ylim([0 0.6]);set(gca,'xtick',[],'xcolor','w');set(gca,'LineWidth',2);box off;

%statistical test within each Experiment, FDR based on each Experiment group
px1=runboot(data2(1:4,:),1e4);
px2=runboot(data2(9:10,:),1e4);
px3=runboot(data2(5:8,:),1e4);
px4=runboot(data4(1:4,:),1e4);
px5=runboot(data4(9:10,:),1e4);
px6=runboot(data4(5:8,:),1e4);

[hz1 zz1 pz1]=fdr_bh([px1 px2]);%story 2-Hz
[hz2 zz2 pz2]=fdr_bh([px4 px5]);%story 4-Hz
[hz3 zz3 pz3]=fdr_bh([px3 px6]);%movie 2-Hz 4-Hz

%statistical test across Experiments
Bv=10000;
p1(1)=unpaired(data2(1,:),data2(5,:),Bv);
p1(2)=unpaired(data2(2,:),data2(6,:),Bv);
p1(3)=unpaired(data2(3,:),data2(7,:),Bv);
p1(4)=unpaired(data2(4,:),data2(8,:),Bv);
[F1 A1 P1]=fdr_bh(p1);

p2(1)=unpaired(data4(1,:),data4(5,:),Bv);
p2(2)=unpaired(data4(2,:),data4(6,:),Bv);
p2(3)=unpaired(data4(3,:),data4(7,:),Bv);
p2(4)=unpaired(data4(4,:),data4(8,:),Bv);
[F2 A2 P2]=fdr_bh(p2);

%%
clearvars -except z_2La z_2Ma;
% clc;

Z1=squeeze((mphase2(angle(z_2La(:,:,3))-angle(z_2La(:,:,2)),2)));
Z2=squeeze((mphase2(angle(z_2Ma(:,:,3))-angle(z_2Ma(:,:,2)),2)));

figure;
polarhistogram(Z1,16,'EdgeColor',[190 0 190]./255,'faceColor','w','LineWidth',1.5,'Normalization','probability');
rlim([0 0.3])
rticks([0.15 0.3])
figure;
polarhistogram(Z2,16,'EdgeColor',[0 190 0]./255,'faceColor','w','LineWidth',1.5,'Normalization','probability');
rlim([0 0.4])
rticks([0.2 0.4])

input1=squeeze(mean(z_2La,1));
input2=squeeze(mean(z_2Ma,1));
Bv=10000;
[O1(:,1),A1(:,1)]=bootstrap_for_vector_Phase(Bv,0.05,@compare_phase,input1,[3 2]);

figure
xtemp1=prcRGplot(A1(:,1),95,'r');
close
xtemp1./pi*180

Bv=10000;
[O1(:,1),A1(:,1)]=bootstrap_for_vector_Phase(Bv,0.05,@compare_phase,input2,[3 2]);

figure
xtemp2=prcRGplot(A1(:,1),95,'k');
close
xtemp2./pi*180